package cn.com.poc.common.query;	

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for FileUploadQuery
 */
@Entity
public class FileUploadQueryItem extends BaseItemClass implements Serializable{

    private static final long serialVersionUID = 1L;
    
    /** id
    *id
    */ 
    private java.lang.Long id;
    
    @Column(name = "id")
    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
    }
    
    /** file_name
    *file_name
    */ 
    private java.lang.String fileName;
    
    @Column(name = "file_name")
    public java.lang.String getFileName(){
        return this.fileName;
    }
    
    public void setFileName(java.lang.String fileName){
        this.fileName = fileName;
    }
    
    /** file_url
    *file_url
    */ 
    private java.lang.String fileUrl;
    
    @Column(name = "file_url")
    public java.lang.String getFileUrl(){
        return this.fileUrl;
    }
    
    public void setFileUrl(java.lang.String fileUrl){
        this.fileUrl = fileUrl;
    }
    
    /** cover_sheet_url
    *cover_sheet_url
    */ 
    private java.lang.String coverSheetUrl;
    
    @Column(name = "cover_sheet_url")
    public java.lang.String getCoverSheetUrl(){
        return this.coverSheetUrl;
    }
    
    public void setCoverSheetUrl(java.lang.String coverSheetUrl){
        this.coverSheetUrl = coverSheetUrl;
    }
    
    /** md5
    *md5
    */ 
    private java.lang.String md5;
    
    @Column(name = "md5")
    public java.lang.String getMd5(){
        return this.md5;
    }
    
    public void setMd5(java.lang.String md5){
        this.md5 = md5;
    }
    
} 